Skip to main content
GET
Retrieve a batch
Poll a batch by ID. Use this while status is in_progress or cancelling; stop when the status is terminal (completed, failed, expired, or cancelled). When complete, download results with output_file_id and error_file_id via Files API.

Authorizations

x-api-key
string
header
required

Headers

x-project-id
string

Optional project identifier. Scopes the request to a specific project when provided.

Path Parameters

batch_id
string
required

Response

Batch object

id
string
object
enum<string>
Available options:
batch
endpoint
string
status
enum<string>
Available options:
validating,
in_progress,
finalizing,
completed,
failed,
expired,
cancelling,
cancelled
input_file_id
string
output_file_id
string | null
error_file_id
string | null
completion_window
string
created_at
integer
expires_at
integer
request_counts
object
metadata
object